Index: trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 1056)
@@ -1,198 +1,192 @@
       IF (ok_mensuel) THEN
-c
+
          zsto = dtime
-         zout = dtime * FLOAT(ecrit_mth)
+         zout = dtime * REAL(ecrit_mth)
 c zsto1: pour des flux radiatifs calcules tous les radpas appels physiq
-         zsto1= dtime * FLOAT(radpas)
-c
+         zsto1= dtime * REAL(radpas)
+
          idayref = day_ref
          CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
-c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlond(i+jjmp1-jjm)
-            zx_lon(i,jjmp1) = rlond(i+jjmp1-jjm)
-         ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-         CALL histbeg("histmth", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+
+         CALL histbeg_phy("histmth.nc", itau_phy, zjulian, dtime,
      .                 nhori, nid_mth)
-         write(*,*)'Journee ', itau_phy, zjulian
-         CALL histvert(nid_mth, "presnivs", "Vertical levels", "mb",
+
+!$OMP MASTER
+         CALL histvert(nid_mth, "presnivs", "Vertical levels", "Pa",
      .                 klev, presnivs, nvert)
 
 c-------------------------------------------------------
       IF(lev_histmth.GE.1) THEN
-c
+
 ccccccccccccc 2D fields, invariables
-c
+
          CALL histdef(nid_mth, "phis", "Surface geop. height", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
-c
+
          CALL histdef(nid_mth, "aire", "Grid area", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
-c
+
 ccccccc axe Ls
          CALL histdef(nid_mth, "ls", "Solar longitude", "degrees",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                "ave(X)", zsto,zout)
+
 ccccccccccccc 2D fields, variables
-c
+
          CALL histdef(nid_mth, "tsol", "Surface Temperature", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "psol", "Surface Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                "ave(X)", zsto,zout)
+
 c        CALL histdef(nid_mth, "ue", "Zonal energy transport", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
-c
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                "ave(X)", zsto,zout)
+
 c        CALL histdef(nid_mth, "ve", "Merid energy transport", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
-c
-c        CALL histdef(nid_mth, "cdragh", "Drag coef on T", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
-c
-c        CALL histdef(nid_mth, "cdragm", "Drag coef on U", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
-c
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                "ave(X)", zsto,zout)
+
       ENDIF !lev_histmth.GE.1
-c
+
 c-------------------------------------------------------
       IF(lev_histmth.GE.2) THEN
-c
+
 ccccccccccccc 3D fields, basics
-c
+
          CALL histdef(nid_mth, "temp", "Air temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "pres", "Air pressure", "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "geop", "Geopotential height", "m",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "vitu", "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "vitv", "Meridional wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "vitw", "Vertical wind", "Pa/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
 c        CALL histdef(nid_mth, "Kz", "vertical diffusion coef", "m2/s",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-c    .                "ave(X)", zsto,zout)
-c
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
-c
+
+         CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
+         CALL histdef(nid_mth, "dudyn", "Dynamics dU", "m/s2",
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
 cccccccccccccccccc  Tracers
-c
+
          if (iflag_trac.eq.1) THEN
           if (microfi.ge.1) then
 c           DO iq=1,nmicro
 c             CALL histdef(nid_mth, tname(iq), ttext(iq), "n/m2",
-c     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c     .                "ave(X)", zsto,zout)
 c           ENDDO
              CALL histdef(nid_mth, "qaer","nb tot aer" , "n/m2",
-     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
 
             if (clouds.eq.1) then
              CALL histdef(nid_mth, "qnoy","nb tot noy" , "n/m2",
-     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_mth, "qgl1","V tot gl1" , "m3/m2",
-     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_mth, "qgl2","V tot gl2" , "m3/m2",
-     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_mth, "qgl3","V tot gl3" , "m3/m2",
-     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
 c--------------
 c ----- SATURATION ESP NUAGES
                CALL histdef(nid_mth,"ch4sat", "saturation CH4", "--",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"c2h6sat", "saturation C2H6", "--",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"c2h2sat", "saturation C2H2", "--",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- RESERVOIR DE SURFACE
                CALL histdef(nid_mth, "reserv", "Reservoir surface","m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- ECHANGE GAZ SURF/ATM (evaporation)
                CALL histdef(nid_mth, "evapch4", "Evaporation CH4","m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- PRECIPITATIONS (precipitations moyennes)
                CALL histdef(nid_mth,"prech4","Precip CH4","um/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"prec2h6","Precip C2H6",
-     .                "um/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"prec2h2","Precip C2H2",
-     .                "um/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"prenoy","Precip NOY",
-     .                "um/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"preaer","Precip AER",
-     .                "um/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- FLUX GLACE
                CALL histdef(nid_mth,"flxgl1", "flux gl CH4",
-     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"flxgl2", "flux gl C2H6",
-     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"flxgl3", "flux gl C2H2",
-     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
 c --------------
 c ----- Source/puits GLACE
                CALL histdef(nid_mth,"solch4", "dQ gl CH4",
-     .              "m3/m3",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "m3/m3",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"solc2h6", "dQ gl C2H6",
-     .              "m3/m3",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "m3/m3",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_mth,"solc2h2", "dQ gl C2H2",
-     .              "m3/m3",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "m3/m3",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .              "ave(X)", zsto,zout)
 c --------------
 c ----- RAYON DES GOUTTES
                CALL histdef(nid_mth,"rcldbar", "rayon moyen goutte",
-     .                "m",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "m",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
             endif
@@ -203,5 +197,5 @@
            DO iq=nmicro+1,nqmax
          CALL histdef(nid_mth, tname(iq), ttext(iq), "ppm",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
            ENDDO
@@ -209,204 +203,193 @@
 c          DO iq=nmicro+1,nqmax
 c        CALL histdef(nid_mth, "c_"//tname(iq), "c_"//ttext(iq),
-c    .        "ppm/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .        "ppm/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 c          ENDDO
 	  endif
          endif
-c
+
       ENDIF !lev_histmth.GE.2
-c
+
 c-------------------------------------------------------
       IF(lev_histmth.GE.3) THEN
-c
+
 cccccccccccccccccc  Radiative transfer
-c
+
 c 2D
-c
+
          CALL histdef(nid_mth, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
-c
+
          CALL histdef(nid_mth, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
-c
+
          CALL histdef(nid_mth, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
-c
+
 c 3D
-c
+
          CALL histdef(nid_mth, "SWnet", "Net SW flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
-c
+
          CALL histdef(nid_mth, "LWnet", "Net LW flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
-c
+
 c --------------
 c ----- OPACITE BRUME
          DO k=7,NSPECV,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"thv"//str1,"Haze Opa Vis",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"thv"//str2,"Haze Opa Vis",
+     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
          DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"thi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"thi"//str2,"Haze Opa IR",
+     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
 c --------------
 c ----- EXTINCTION BRUME
          DO k=7,NSPECV,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"khv"//str1,"Haze ext Vis ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"khv"//str2,"Haze ext Vis ",
+     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
          DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"khi"//str1,"Haze ext IR ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"khi"//str2,"Haze ext IR ",
+     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
 c --------------
 c ----- OPACITE GAZ
          DO k=7,NSPECV,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"tgv"//str1,"Gas Opa Vis",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"tgv"//str2,"Gas Opa Vis",
+     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
          DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"tgi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"tgi"//str2,"Haze Opa IR",
+     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
 c --------------
 c ----- EXTINCTION GAZ
          DO k=7,NSPECV,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"kgv"//str1,"Gas ext Vis ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"kgv"//str2,"Gas ext Vis ",
+     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
          DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"kgi"//str1,"Gas ext IR ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+           write(str2,'(i2.2)') k
+         CALL histdef(nid_mth,"kgi"//str2,"Gas ext IR ",
+     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+
 c --------------
 c ----- OPACITE NUAGES
          if (clouds.eq.1) then
            CALL histdef(nid_mth,"tcld","Cld Opa proxy",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto,zout)
-c
+
 c --------------
 c ----- EXTINCTION NUAGES
            CALL histdef(nid_mth,"kcld","Cld Ext proxy",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto,zout)
          endif
-c
+
 c --------------
 c ----- OCCURENCE NUAGES
            do k=1,12
-             write(str1,'(i2.2)') k
-             CALL histdef(nid_mth,"occcld"//str1,"occ cld",
-     .       "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+             write(str2,'(i2.2)') k
+             CALL histdef(nid_mth,"occcld"//str2,"occ cld",
+     .       "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
      .       "ave(X)",zsto,zout)
            enddo
-c
+
       ENDIF !lev_histmth.GE.3
-c
+
 c-------------------------------------------------------
       IF(lev_histmth.GE.4) THEN
-c
+
          CALL histdef(nid_mth, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "dtphy", "Physics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "dtajs", "Dry adjust. dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
          CALL histdef(nid_mth, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+
 c        CALL histdef(nid_mth, "dtec", "Cinetic dissip dT", "K/s",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-c    .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dudyn", "Dynamics dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                "ave(X)", zsto,zout)
+
 c        CALL histdef(nid_mth, "dvvdf", "Boundary-layer dV", "m/s2",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-c    .                "ave(X)", zsto,zout)
-c
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                "ave(X)", zsto,zout)
+
       ENDIF !lev_histmth.GE.4
-c
+
 c-------------------------------------------------------
       IF(lev_histmth.GE.5) THEN
-c
-c
+
+
 c        call histdef(nid_mth, "taux", 
 c    $         "Zonal wind stress", "Pa",  
-c    $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
-c
+
 c        call histdef(nid_mth, "tauy", 
 c    $         "Meridional xind stress", "Pa",  
-c    $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
-c
+
 c        CALL histdef(nid_mth, "cdrm", "Momentum drag coef.", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
-c
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                "ave(X)", zsto,zout)
+
 c        CALL histdef(nid_mth, "cdrh", "Heat drag coef.", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
-c
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                "ave(X)", zsto,zout)
+
       ENDIF !lev_histmth.GE.5
 c-------------------------------------------------------
-c
+
          CALL histend(nid_mth)
-c
-         ndex2d = 0
-         ndex3d = 0
-c
+
       ENDIF ! fin de test sur ok_journe
Index: trunk/LMDZ.TITAN/libf/phytitan/iniphysiq.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/iniphysiq.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/iniphysiq.F	(revision 1056)
@@ -43,43 +43,86 @@
 c   -------------
  
-      use dimphy
-      USE comgeomphy
+      USE dimphy, only : klev
+      USE mod_grid_phy_lmdz, only : klon_glo
+      USE mod_phys_lmdz_para, only : klon_omp,klon_omp_begin,
+     &                               klon_omp_end,klon_mpi_begin
+      USE comgeomphy, only : airephy,cuphy,cvphy,rlond,rlatd
       IMPLICIT NONE
-#include "dimensions.h"
+#include "iniprint.h"
 
-      REAL prad,pg,pr,pcpp,punjours
+      REAL,INTENT(IN) :: prad ! radius of the planet (m)
+      REAL,INTENT(IN) :: pg ! gravitational acceleration (m/s2)
+      REAL,INTENT(IN) :: pr ! ! reduced gas constant R/mu
+      REAL,INTENT(IN) :: pcpp ! specific heat Cp
+      REAL,INTENT(IN) :: punjours ! length (in s) of a standard day
+      INTEGER,INTENT(IN) :: ngrid ! number of horizontal grid points in the physics
+      INTEGER,INTENT(IN) :: nlayer ! number of atmospheric layers
+      REAL,INTENT(IN) :: plat(ngrid) ! latitudes of the physics grid
+      REAL,INTENT(IN) :: plon(ngrid) ! longitudes of the physics grid
+      REAL,INTENT(IN) :: parea(klon_glo) ! area (m2)
+      REAL,INTENT(IN) :: pcu(klon_glo) ! cu coeff. (u_covariant = cu * u)
+      REAL,INTENT(IN) :: pcv(klon_glo) ! cv coeff. (v_covariant = cv * v)
+      INTEGER,INTENT(IN) :: pdayref ! reference day of for the simulation
+      REAL,INTENT(IN) :: ptimestep !physics time step (s)
       INTEGER,INTENT(IN) :: iflag_phys ! type of physics to be called
-      INTEGER ngrid,nlayer
-      REAL plat(ngrid),plon(ngrid),parea(klon),pcu(klon),pcv(klon)
-      INTEGER pdayref
- 
-      REAL ptimestep
+
+      INTEGER :: ibegin,iend,offset
+      CHARACTER (LEN=20) :: modname='iniphysiq'
+      CHARACTER (LEN=80) :: abort_message
  
       IF (nlayer.NE.klev) THEN
-         PRINT*,'STOP in inifis'
-         PRINT*,'Probleme de dimensions :'
-         PRINT*,'nlayer     = ',nlayer
-         PRINT*,'klev   = ',klev
-         STOP
+         write(lunout,*) 'STOP in ',trim(modname)
+         write(lunout,*) 'Problem with dimensions :'
+         write(lunout,*) 'nlayer     = ',nlayer
+         write(lunout,*) 'klev   = ',klev
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       ENDIF
 
-      IF (ngrid.NE.klon) THEN
-         PRINT*,'STOP in inifis'
-         PRINT*,'Probleme de dimensions :'
-         PRINT*,'ngrid     = ',ngrid
-         PRINT*,'klon   = ',klon
-         STOP
+      IF (ngrid.NE.klon_glo) THEN
+         write(lunout,*) 'STOP in ',trim(modname)
+         write(lunout,*) 'Problem with dimensions :'
+         write(lunout,*) 'ngrid     = ',ngrid
+         write(lunout,*) 'klon   = ',klon_glo
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       ENDIF
 
-      airephy=parea
-      cuphy=pcu
-      cvphy=pcv
-      rlond = plon
-      rlatd = plat
+c$OMP PARALLEL PRIVATE(ibegin,iend) 
+c$OMP+         SHARED(parea,pcu,pcv,plon,plat)
+      
+      offset=klon_mpi_begin-1
+      airephy(1:klon_omp)=parea(offset+klon_omp_begin:
+     &                          offset+klon_omp_end)
+      cuphy(1:klon_omp)=pcu(offset+klon_omp_begin:offset+klon_omp_end)
+      cvphy(1:klon_omp)=pcv(offset+klon_omp_begin:offset+klon_omp_end)
+      rlond(1:klon_omp)=plon(offset+klon_omp_begin:offset+klon_omp_end)
+      rlatd(1:klon_omp)=plat(offset+klon_omp_begin:offset+klon_omp_end)
 
       call suphec
+
+c$OMP END PARALLEL
+
 c     print*,'ATTENTION !!! TRAVAILLER SUR INIPHYSIQ'
 c     print*,'CONTROLE DES LATITUDES, LONGITUDES, PARAMETRES ...'
 
+c      print*,'agagagagagagagagaga'
+c      print*,'klon_mpi_begin =', klon_mpi_begin
+c      print*,'klon_mpi_end =', klon_mpi_end
+c      print*,'klon_mpi =', klon_mpi
+c      print*,'klon_mpi_para_nb =', klon_mpi_para_nb
+c      print*,'klon_mpi_para_begin =', klon_mpi_para_begin
+c      print*,'klon_mpi_para_end  =', klon_mpi_para_end
+c      print*,'mpi_rank =', mpi_rank
+c      print*,'mpi_size =', mpi_size
+c      print*,'mpi_root =', mpi_root
+c      print*,'klon_glo =', klon_glo
+c      print*,'is_mpi_root =',is_mpi_root
+c      print*,'is_omp_root =',is_omp_root
+
+! pas d'inifis ici... 
+! est-ce que cursor est utile ? Voir avec Aymeric
+!      cursor = klon_mpi_begin
+!      print*, "CURSOR !!!!", mpi_rank, cursor
 
       RETURN
Index: trunk/LMDZ.TITAN/libf/phytitan/init_phys_lmdz.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/init_phys_lmdz.F90	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/init_phys_lmdz.F90	(revision 1056)
@@ -3,6 +3,9 @@
 !
 SUBROUTINE init_phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
+  USE mod_phys_lmdz_para
   USE mod_grid_phy_lmdz
-  USE dimphy
+  USE dimphy, ONLY : init_dimphy
+  USE infotrac, ONLY : type_trac
+
   IMPLICIT NONE
   
@@ -15,5 +18,8 @@
 
     CALL init_grid_phy_lmdz(iim,jjp1,llm)
-    CALL init_dimphy(klon_glo,nbp_lev)
+    CALL init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
+!$OMP PARALLEL
+    CALL init_dimphy(klon_omp,nbp_lev)
+!$OMP END PARALLEL
  
 END SUBROUTINE init_phys_lmdz  
Index: trunk/LMDZ.TITAN/libf/phytitan/interface_surf.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/interface_surf.F90	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/interface_surf.F90	(revision 1056)
@@ -45,4 +45,5 @@
       & tsol_rad, tsurf_new, alb_new)
 
+      use write_field_phy
       use cpdet_mod, only: cpdet
 
@@ -159,4 +160,8 @@
            CALL soil(dtime, knon, tsurf, tsoil,soilcap, soilflux)
            cal(1:knon) = zcp(1:knon) / soilcap(1:knon)
+! for tests:
+!  call writefield_phy('interfsurf_hq_zcp',zcp,1)
+!  call writefield_phy('interfsurf_hq_cal',cal,1)
+!  call writefield_phy('interfsurf_hq_soilcap',soilcap,1)
 !       print*,"DIAGNOSTIC SOIL"
 !       print*,"soilcap=",soilcap
@@ -191,4 +196,5 @@
      & tsurf_new, fluxsens, dflux_s)
 
+  use write_field_phy
   use cpdet_mod, only: t2tpot, tpot2t
 
@@ -326,4 +332,9 @@
   ENDDO
 
+! for tests: write output fields...
+!  call writefield_phy('calcul_fluxs_d_ts',d_ts,1)
+!  call writefield_phy('calcul_fluxs_fluxsens',fluxsens,1)
+!  call writefield_phy('calcul_fluxs_dflux_s',dflux_s,1)
+
   END SUBROUTINE calcul_fluxs
 !
